<template>
  <v-row no-gutters>
    <v-col class="ma-5">
      <title-zone
        class="mb-10"
        :title="title"
      />
      <general-info class="mb-10" />
      <capacity-info />
    </v-col>
  </v-row>
</template>

<script>
import { mapActions } from 'vuex';
import { hashId } from '~/helpers/format/ids';
import TitleZone from '~/components/Common/Page/TitleZone';
import GeneralInfo from '~/components/Storage/Areas/Details/GeneralInfo';
import CapacityInfo from '~/components/Storage/Areas/Details/CapacityInfo';

export default {
  name: 'AreaDetails',
  components: {
    TitleZone,
    GeneralInfo,
    CapacityInfo,
  },
  computed: {
    areaId() {
      return this.$route.params.id;
    },
    title() {
      return `Zona ${hashId({ id: this.areaId })}`;
    },
  },
  async mounted() {
    await this.getCurrentArea();
  },
  methods: {
    ...mapActions({
      getAreaDetails: 'storage/areas/getAreaDetails',
    }),
    async getCurrentArea() {
      try {
        await this.getAreaDetails({ areaId: this.areaId });
      } catch (e) {
        console.error(e);
      }
    },
  },
};
</script>
